No Operational Plan show in Frepple and Odoo can not open Frepple feature

36 views
Skip to first unread message

Cindy Himawan

unread,
Jan 11, 2021, 4:09:17 AM1/11/21
to frePPLe users
Dear all,

please kindly help since my frepple not showing operational plan to launch odoo, as attached.

Also in Odoo, when I want to open the Frepple feature its show error in the attachment
Error:
Odoo Server Error

Traceback (most recent call last):
  File "C:\Program Files\Odoo 14\server\odoo\addons\base\models\ir_http.py", line 237, in _dispatch
    result = request.dispatch()
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 683, in dispatch
    result = self._call_function(**self.params)
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 359, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "C:\Program Files\Odoo 14\server\odoo\service\model.py", line 94, in wrapper
    return f(dbname, *args, **kwargs)
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 347, in checked_call
    result = self.endpoint(*a, **kw)
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 912, in __call__
    return self.method(*args, **kw)
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 531, in response_wrap
    response = f(*args, **kw)
  File "C:\Program Files\Odoo 14\server\odoo\addons\web\controllers\main.py", line 1377, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "C:\Program Files\Odoo 14\server\odoo\addons\web\controllers\main.py", line 1369, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "C:\Program Files\Odoo 14\server\odoo\api.py", line 392, in call_kw
    result = _call_kw_model(method, model, args, kwargs)
  File "C:\Program Files\Odoo 14\server\odoo\api.py", line 365, in _call_kw_model
    result = method(recs, *args, **kwargs)
  File "C:\Program Files\Odoo 14\server\odoo\addons\frepple\models\res_company.py", line 56, in getFreppleURL
    encode_params, user_company_webtoken, algorithm="HS256"
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 639, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "C:\Program Files\Odoo 14\server\odoo\http.py", line 315, in _handle_exception
    raise exception.with_traceback(None) from new_cause
AttributeError: 'str' object has no attribute 'decode'

Please kindly help guys, thanks in advance.
Frepple error.docx
Reply all
Reply to author
Forward
0 new messages